address {data.table} | R Documentation

## Address in RAM of a variable

### Description

Returns the pointer address of its argument.

### Usage

        address(x)

### Arguments

`x` | Anything.

### Details

Sometimes useful in determining whether a value has been copied or not, programatically.

### Value

A character vector length 1.

### References

http://stackoverflow.com/a/10913296/403310 (but implemented in C without using `.Internal(inspect())`)

[Package data.table version 1.10.0 Index]